## net.sf.statsvn.input
Class SvnXmlLogFileHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          net.sf.statsvn.input.SvnXmlLogFileHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class SvnXmlLogFileHandler

extends DefaultHandler

This is the SAX parser for the svn log in xml format. It feeds information to the (@link net.sf.statsvn.input.SvnLogBuilder).

Version:
  $Id: SvnXmlLogFileHandler.java 351 2008-03-28 18:46:26Z benoitx $
Author:
  Jason Kealey <jkealey@shade.ca>, Gunter Mussbacher <gunterm@site.uottawa.ca>

Constructor Summary
`SvnXmlLogFileHandler(SvnLogBuilder builder, RepositoryFileManager repositoryFileManager)` Default constructor.

Method Summary
`void` `characters(char[] ch, int start, int length)` Builds the string that was read; default implementation can invoke this function multiple times while reading the data.
`void` `endElement(String uri, String localName, String qName)` Handles the end of an xml element and redirects to the appropriate end* method.
`void` `startElement(String uri, String localName, String qName, Attributes attributes)` Handles the start of an xml element and redirects to the appropriate start* method.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnXmlLogFileHandler

    public SvnXmlLogFileHandler(SvnLogBuilder builder,
                                RepositoryFileManager repositoryFileManager)

  Default constructor.

  Parameters:
    `builder` - where to send the information
    `repositoryFileManager` - the repository file manager needed to obtain some information.

Method Detail

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Builds the string that was read; default implementation can invoke this function multiple times while reading the data.

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Handles the end of an xml element and redirects to the appropriate end* method.

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`
  Throws:
    `SAXException` - unexpected event.

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Handles the start of an xml element and redirects to the appropriate start* method.

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`
  Throws:
    `SAXException` - unexpected event.